# hoe-manns

## DESCRIPTION

hoe-manns is a small collection of my personal used rake tasks for using with hoe. Actually it includes that tasks:

* bundler:gemfile_lock
* bundle_audit:*
* clean_pkg
* copy_master
* remove_pre_gemspec
* run_before_release
* run_after_release

The CHANGELOG.md contains a detailed description of what has changed.

hoe-manns is released under the GPL-3.0-or-later License, see the file 'LICENSE.md' for more information.

|What | Where |
|-----|--------|
|codebase | [https://github.com/saigkill/hoe-manns] |  
|rdoc | [http://www.rubydoc.info/gems/hoe-manns] |  
|docs | [https://github.com/saigkill/hoe-manns/wiki] |  
|bugs  & feature requests | [https://github.com/saigkill/hoe-manns/issues] |  
|openhub statistics| [https://www.openhub.net/p/hoe-manns] |  
|authors blog| [https://saschamanns.de/] |

| What | Status |
|-------------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
|last public version | [![Last Version](https://badge.fury.io/rb/hoe-manns.png)](http://rubygems.org/gems/hoe-manns) |
|downloads latest | [![Downloads latest](https://img.shields.io/gem/dtv/hoe-manns.svg)](http://rubygems.org/gems/hoe-manns)  |
|downloads all | [![Downloads all](https://img.shields.io/gem/dt/hoe-manns.svg)](http://rubygems.org/gems/hoe-manns) |
|continuous integration | ![CI](https://github.com/saigkill/hoe-manns/workflows/CI/badge.svg?branch=master&event=push) |
|code quality | [![Code Quality](https://api.codeclimate.com/v1/badges/009b795034d7c698c74f/maintainability)](https://codeclimate.com/github/saigkill/hoe-manns/maintainability) |
|dependencies|[![Dependabot Status](https://api.dependabot.com/badges/status?host=github&repo=saigkill/hoe-manns)](https://dependabot.com)
|security | [![Security](https://hakiri.io/github/saigkill/hoe-manns/master.svg)](https://hakiri.io/github/saigkill/hoe-manns/master/shield) |
|vulnerabilities| [![Known Vulnerabilities](https://snyk.io/test/github/saigkill/hoe-manns/badge.svg?targetFile=Gemfile.lock)](https://snyk.io/test/github/saigkill/hoe-manns?targetFile=Gemfile.lock)  |
|documentation quality | [![Documentation Quality](https://inch-ci.org/github/saigkill/hoe-manns.svg?branch=master)](https://inch-ci.org/github/saigkill/hoe-manns) |

## SCREENSHOT

[![Screenshot](https://saschamanns.de/img/screenshots/hoe-manns-screenshots.png)](https://github.com/saigkill/hoe-manns)

## FEATURES

* Updates the Gemfile.lock
* Removes the old *.gemspec created in test cases
* copies your manuals to your docpath.
* runs the rake tasks before release: git:manifest, bundler:gemfile, update_gemfile_lock, remove_pre_gemspec, bundler_audit:run and copy_mirror.
* runs after release: send_email.
* Cleans up the pkg dir
* provides bundler_audit tasks

## REQUIREMENTS:

* rake
* hoe
* bundler-audit

## INSTALL

The installation is very easy.

    gem install hoe-manns

## SYNOPSIS

Use in your Rakefile:

    Hoe.plugin :manns

    Hoe.spec 'your project' do
    ...
    end

Also add hoe-manns to your requirements and recreate your Gemfile.

## DEVELOPERS

After checking out the source, run:

    `$ rake newb`

This task will install any missing dependencies, run the tests/specs, and generate the RDoc.
Also you can read the MAINTENANCE.md and CONTRIBUTING.md for more information.

## ISSUE TRACKING

* Add ideas on: https://github.com/saigkill/hoe-manns/issues